# Copyright (c) 2002 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2002 Prfecture du Bas-Rhin, France
# Copyright (c) 2002 CIRB, Belgique
# Authors: Florent Guillaume <mailto:fg@nuxeo.com>
#          Julien Jalon <mailto:jj@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: CPSRegistration.py,v 1.6 2003/05/10 21:37:59 fermigier Exp $


from Products.CMFDefault.RegistrationTool import RegistrationTool

#
# Patch portal_registration to not check properties or password
# (for now).
#
def testPasswordValidity(self, password, confirm=None):
    """
    If the password is valid, returns None.  If not, returns
    a string explaining why.
    """
    return None

RegistrationTool.testPasswordValidity = testPasswordValidity

def testPropertiesValidity(self, props, member=None):
    """
    If the properties are valid, returns None.  If not, returns
    a string explaining why.
    """
    return None

RegistrationTool.testPropertiesValidity = testPropertiesValidity

