# Copyright (c) 2002 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2002 Prfecture du Bas-Rhin, France
# Copyright (c) 2002 CIRB, Belgique
# Authors: Florent Guillaume <mailto:fg@nuxeo.com>
#          Julien Jalon <mailto:jj@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: PatchDiscussions.py,v 1.6 2003/05/10 21:37:59 fermigier Exp $


from AccessControl.PermissionRole import PermissionRole

from Products.CMFCore.CMFCorePermissions import setDefaultRoles
from Products.CMFDefault.DiscussionItem import DiscussionItemContainer

#
# Use a better permission for deleteReply
#
DeleteReplies = 'Delete replies'
setDefaultRoles(DeleteReplies, ('Manager',))
DiscussionItemContainer.deleteReply__roles__ = PermissionRole(DeleteReplies)

