##parameters=REQUEST=None

stable_version = context.get_stable()

info = stable_version.publication_change_get(action='pubprev')

old_hiers = []
publication_change_dict = {}

for transition in info['transitions']:
    for key in info['pubinfo'][transition]:
        old_hiers.append(key)
        publication_change_dict['%s_%s' % (transition, key)] = None

stable_version.publication_change(action='pubprev', **publication_change_dict)

new_stable = context.check_in()

new_info = new_stable.publication_change_get(action='pubnext')

publication_change_dict = {}
for transition in new_info['transitions']:
    available_hiers = new_info['pubinfo'][transition]
    correct_hiers = [hier_key for hier_key in old_hiers if hier_key in available_hiers]
    for key in correct_hiers:
        publication_change_dict['%s_%s' % (transition, key)] = None

new_stable.publication_change(action='pubnext', **publication_change_dict)

if REQUEST is not None:
    REQUEST.RESPONSE.redirect('%s/view' % (new_stable.absolute_url(), ))
