##parameters=request=None

if request is None:
    request = context.REQUEST

cached = request.other.get('subhierarchies')

if cached is not None:
    return cached

here = request.other.get('HERE')
if here is None:
    here = context # XXX what a bad way...

base_hier = here.getItemWithProperty('base_hierarchy')

if base_hier is None:
    correct_hierarchies = []
else:
    portal_url = context.portal_url(relative=1)
    if portal_url: portal_url = '/'+portal_url
    hier_url = base_hier.absolute_url(relative=1)
    if hier_url: hier_url = '/'+hier_url
    hier_url = hier_url[len(portal_url):]
    mtool = context.portal_membership
    user = mtool.getAuthenticatedMember()
    roles = user.getRoles()
    myid = user.getUserName()
    try: mygroups = user.getGroups()
    except: mygroups = ()
    myids = [myid] + ['group:'+id for id in mygroups]

    hierlist = context.portal_hierarchies.main.getHierarchyList()
    hierlist = [hier for hier in hierlist if hier['rurl'].startswith(hier_url)]

    correct_hierarchies = []
    for h in hierlist:
        readers = h['levelreaders']
        if readers and not 'Manager' in roles:
            readers = readers + h['levelreviewers']
            ok = 0
            for id in myids:
                if id in readers:
                    ok = 1
                    break
            if not ok:
                continue
        correct_hierarchies.append(h['levelkey'])

request.other['subhierarchies'] = correct_hierarchies

return correct_hierarchies
