##parameters=REQUEST=None

here = context.this()
dirtool = context.portal_metadirectories
dtool = dirtool.members
gdtool = dirtool.groups

reviewers = here.LevelLocalReviewers()
readers = here.LevelLocalReaders()
fullnames = {}
dir_urls = {}

portal_url = context.portal_url()
dtool_entry_url = "%s/%s?dirname=%s&entry_id=" % (portal_url, dtool.entry_template, dtool.id)
gdtool_entry_url = "%s/%s?dirname=%s&entry_id=" % (portal_url, gdtool.entry_template, gdtool.id)

for id in reviewers+readers:
    if fullnames.has_key(id):
        continue
    if id.startswith('group:'):
        gid = id[len('group:'):]
        entry = gdtool.getEntry(gid)
        if entry:
            fullname = '[%s]' % (entry[gdtool.display_prop] or gid)
            url = gdtool_entry_url + gid
        else:
            fullname = '[%s]' % gid
            url = None
    else:
        entry = dtool.getEntry(id)
        if entry:
            fullname = dtool.getEntry(id)[dtool.display_prop] or id
            url = dtool_entry_url + id
        else:
            fullname = id
            url = None
    fullnames[id] = fullname
    if url:
        dir_urls[id] = url

return {
    'reviewers': reviewers,
    'readers': readers,
    'fullnames': fullnames,
    'dir_urls': dir_urls,
    }
