##parameters=datestring

# Takes a date in arbitrary string form, return it
# as a canonical ISO date.

# This should probably be moved to an external method
# or a product.

import re

datestring = datestring.strip()
dig = '([0-9]+)'
spc = '[ \t]+'
sep = '[-./]'
hsep = '[hH:]'
now = DateTime()
nowyear = now.year()
nowmonth = now.month()
nowday = now.day()
# 21/8/2003 18:30
m = re.match('^'+dig+sep+dig+sep+dig+spc+dig+hsep+dig+'$', datestring)
if m is not None:
    g = m.groups()
    d = '%s-%s-%s %s:%s' % (g[2],g[1],g[0],g[3],g[4])
    try:
        date = DateTime(d)
        return date.ISO()
    except DateTime.SyntaxError:
        pass
# 21/8/2003 18h
m = re.match('^'+dig+sep+dig+sep+dig+spc+dig+hsep+'$', datestring)
if m is not None:
    g = m.groups()
    d = '%s-%s-%s %s:00' % (g[2],g[1],g[0],g[3])
    try:
        date = DateTime(d)
        return date.ISO()
    except DateTime.SyntaxError:
        pass
# 21/8 18:30
m = re.match('^'+dig+sep+dig+spc+dig+hsep+dig+'$', datestring)
if m is not None:
    g = m.groups()
    d = '%s-%s-%s %s:%s' % (nowyear,g[1],g[0],g[2],g[3])
    try:
        date = DateTime(d)
        return date.ISO()
    except DateTime.SyntaxError:
        pass
# 21/8 18h
m = re.match('^'+dig+sep+dig+spc+dig+hsep+'$', datestring)
if m is not None:
    g = m.groups()
    d = '%s-%s-%s %s:00' % (nowyear,g[1],g[0],g[2])
    try:
        date = DateTime(d)
        return date.ISO()
    except DateTime.SyntaxError:
        pass
# 21/8/2003
m = re.match('^'+dig+sep+dig+sep+dig+'$', datestring)
if m is not None:
    g = m.groups()
    d = '%s-%s-%s 00:00' % (g[2],g[1],g[0])
    try:
        date = DateTime(d)
        return date.ISO()
    except DateTime.SyntaxError:
        pass
# 21/8
m = re.match('^'+dig+sep+dig+'$', datestring)
if m is not None:
    g = m.groups()
    d = '%s-%s-%s 00:00' % (nowyear,g[1],g[0])
    try:
        date = DateTime(d)
        return date.ISO()
    except DateTime.SyntaxError:
        pass
# 18h00
m = re.match('^'+dig+hsep+dig+'$', datestring)
if m is not None:
    g = m.groups()
    d = '%s-%s-%s %s:%s' % (nowyear,nowmonth,nowday,g[0],g[1])
    try:
        date = DateTime(d)
        return date.ISO()
    except DateTime.SyntaxError:
        pass
# 18h
m = re.match('^'+dig+hsep+'$', datestring)
if m is not None:
    g = m.groups()
    d = '%s-%s-%s %s:00' % (nowyear,nowmonth,nowday,g[0])
    try:
        date = DateTime(d)
        return date.ISO()
    except DateTime.SyntaxError:
        pass


return now.ISO()

