##parameters=oldid, create=1, gettype=0

# returns the mailing lists special ids
# if gettype == 1, only returns the type of the current selected mailing-list

folder = create and context or context.getParentNode()

portal_type = folder.portal_type

choices = [
    {
        'id': 'mailing_workgroup',
        'title': '_mailinglist_notifications of created documents_'
    },
]

if portal_type == 'Reviewed Hierarchy Level':
    choices = [
        {
            'id': 'mailing_submit',
            'title': '_mailinglist_notifications of submissions_'
        },
    ] + choices

# tests wether oldid is one of the special mailing list id
default = oldid
for choice in choices:
    if choice['id'] == oldid:
        default = 'mailing'

# remove unavailable choices (because those choices are already used)
real_choices = []
used_ids = folder.objectIds()
for choice in choices:
    choice_id = choice['id']
    if choice_id == oldid or choice_id not in used_ids:
        real_choices.append(choice)

choices = [
    {
        'id': default,
        'title': '_mailinglist_other_'
    },
    ] + real_choices

if not gettype:
    return choices

for choice in choices:
    if choice['id'] == oldid:
        return choice['title']
