# Copyright (c) 2002 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2002 CIRB, Belgique
# Author: Julien Jalon <mailto:jj@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: MetaDirectoriesTool.py,v 1.4 2003/04/06 09:13:37 fermigier Exp $

"""
    Meta Directories Tool
    $Id: MetaDirectoriesTool.py,v 1.4 2003/04/06 09:13:37 fermigier Exp $
"""

# __version__ = '$Revision: 1.4 $'[11:-2]

import OFS
from Globals import InitializeClass
from Products.CMFCore.utils import UniqueObject

class MetaDirectoriesTool(UniqueObject, OFS.Folder.Folder):
    """
        Provides a meta directories registry
    """

    id = 'portal_metadirectories'
    meta_type = 'CMF MetaDirectories Tool'

InitializeClass(MetaDirectoriesTool)
