##parameters=

here = context.this()

common_fields = context.get_boxes_common_fields(here=here)

description = "_This type of box is used to display hierarchies for navigation_"

hierlist = context.portal_hierarchies.main.getHierarchyList()
paths_opts = []
for h in hierlist:
    d = {
        'id': h['rurl'], # /relative to portal
        'title': h['title'],
        }
    paths_opts.append(d)

# already sorted by path


fields = common_fields + [
    {
    'id': 'paths',
    'title': '_box_prop_hierarchies_paths_',
    'type': 'multiple',
    'value': here.getProperty('paths', []),
    'options': paths_opts,
    },
    {
    'id': 'depth',
    'title': '_box_prop_hierarchies_depth_',
    'type': 'text',
    'value': here.getProperty('depth', 0),
    },
    {
    'id': 'dynamic_title',
    'title': '_prop_box_dynamic_title_',
    'type': 'checkbox',
    'value': here.dynamic_title,
    },
    {
    'id': 'contextual',
    'title': '_prop_box_contextual_',
    'type': 'checkbox',
    'value': here.contextual,
    },
    ]

return here.basebox_edit_form(fields=fields, description=description)
