import os
import zLOG

def logf(summary, message='', severity=0):
    summary = '[' + str(summary) + ']'
    if message:
        message = str(message) + '\n'
    zLOG.LOG('Forum: ',severity,summary, message)

def documentsupdate(self):
    logf("START: Forum UPDATE")
    log = []
    pr = log.append
    def prok(pr=pr):
        pr(" Already correctly installed")

    pr("<html><head><title>Forum Update</title></head><body><pre>")

    pr("Starting NuxCPSDocuments update")

    pr("")
    pr("### CPS update")
    pr(self.cpsupdate())
    pr("### End of CPS update")

    pr("")
    pr("Starting specific NuxCPSDocuments updates")

    portal = self.portal_url.getPortalObject()
    # install additional portal_tools

    if not 'portal_subscription' in portal.objectIds():
        pr("  Creating portal_subscription tool")
        portal.manage_addProduct['NuxCPSSubscription'].manage_addTool('Portal Subscription Tool')

    if not 'portal_events' in portal.objectIds():
        pr("  Creating portal_events tool")
        portal.manage_addProduct['Event'].manage_addEventService(id="portal_events", title="Event Service")

    if not 'portal_scheduler' in portal.objectIds():
        pr("  Creating portal_scheduler tool")
        portal.manage_addProduct['Scheduler'].manage_addScheduler(id="portal_scheduler", title="Portal Scheduler", filter_data="scheduler")

    # skins
    skins = ('nuxcpsdocuments',)
    paths = {
        'nuxcpsdocuments': 'Products/NuxCPSDocuments/skins',
    }

    for skin in skins:
        path = paths[skin]
        path = path.replace('/', os.sep)
        pr(" FS Directory View '%s'" % skin)
        if skin in portal.portal_skins.objectIds():
            dv = portal.portal_skins[skin]
            oldpath = dv.getDirPath()
            if oldpath == path:
                prok()
            else:
                pr("  Correctly installed, correcting path")
                dv.manage_properties(dirpath=path)
        else:
            portal.portal_skins.manage_addProduct['CMFCore'].manage_addDirectoryView(filepath=path, id=skin)
            pr("  Creating skin")
    allskins = portal.portal_skins.getSkinPaths()
    for skin_name, skin_path in allskins:
        if skin_name != 'Basic':
            continue
        path = [x.strip() for x in skin_path.split(',')]
        path = [x for x in path if x not in skins] # strip all
        if path and path[0] == 'custom':
            path = path[:1] + list(skins) + path[1:]
        else:
            path = list(skins) + path
        npath = ', '.join(path)
        portal.portal_skins.addSkinSelection(skin_name, npath)
        pr(" Fixup of skin %s" % skin_name)

    
    pr("End of specific Forum updates")

    pr("</pre></body></html>")
    logf("END: Forum UPDATE")
    return '\n'.join(log)

