# Copyright (c) 2002-2003 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2002 Prfecture du Bas-Rhin, France
# Copyright (c) 2002 CIRB, Belgique
# Authors: Florent Guillaume <mailto:fg@nuxeo.com>
#          Julien Jalon <mailto:jj@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: PatchDiscussionItem.py,v 1.7 2003/04/01 21:53:58 fermigier Exp $

"""
  Patch standard Discussion Item to make it know about absolute_url munging and
  last modifier
"""

from Products.CMFDefault.DiscussionItem import DiscussionItem

from BaseDocument import BaseDocument

def Description(self):
    """Return an empty description"""
    return ''

# Empty descripion
DiscussionItem.Description = Description

# Record last modifier
DiscussionItem.setLastModifier = BaseDocument.setLastModifier
DiscussionItem.getLastModifier = BaseDocument.getLastModifier
DiscussionItem.notifyModified = BaseDocument.notifyModified

# Special url munging
DiscussionItem.absolute_url = BaseDocument.absolute_url

