# (c) 2002 Nuxeo SARL <http://nuxeo.com>
# (c) 2002 Julien Jalon <mailto:jj@nuxeo.com>
# $Id: __init__.py,v 1.1 2002/10/29 17:41:04 jalon Exp $


from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils
from Products.CMFCore.CMFCorePermissions import AddPortalContent

import FlexibleDocument

contentClasses = (
    FlexibleDocument.FlexibleDocument,
    )

contentConstructors = (
    FlexibleDocument.addFlexibleDocument,
    )

fti = (
    FlexibleDocument.factory_type_information +
    ()
    )


registerDirectory('skins', globals())

def initialize(registrar):
    utils.ContentInit(
        'NuxCPSFlexibleDocument',
        content_types = contentClasses,
        permission = AddPortalContent,
        extra_constructors = contentConstructors,
        fti = fti,
        ).initialize(registrar)
