##parameters=author='', email='', text='', title='', submit='', attachment=''

REQUEST = context.REQUEST

# FIXME: should use generateId
new_id = 'msg_' + str(int(context.ZopeTime()))

text = text.strip()

if not text:
    if REQUEST is not None:
        REQUEST.RESPONSE.redirect('%s/view' % (context.absolute_url(), ))
    else:
        return

if not title:
    firstline = text.strip().split('\n')[0]
    if len(firstline) > 20:
        firstline = firstline[:20].strip() + '...'
    title = firstline

context.invokeFactory('Post', id=new_id, title=title, email=email,
    author=author, text=text, attachment=attachment)
message = getattr(context, new_id)
message.insertIntoWorkflow()

try:
    # try to publish this message automatically
    # will not fail if the forum is not moderated
    # and the current user is the forum manager
    wftool = context.portal_workflow
    wftool.doActionFor(message, 'publish')
except:
    pass

#
# Redirection to the display page
#
forum = context.getForum()
uri = message.absolute_url()
uri = uri[uri.find('msg_'):]

url = '%s?message=%s' % (forum.absolute_url(), uri)
return context.REQUEST.RESPONSE.redirect(url)

