##parameters=entry_id, property, old_property, member_dir, groups_dir

if old_property is None: old_property = []
if property is None: property = []

add_groups = [group for group in property if group not in old_property]
remove_groups = [group for group in old_property if group not in property]

groups_entry_prop = groups_dir.entry_prop


for group in add_groups:
    group_entry = groups_dir.getEntry(group)
    new_members = group_entry.get('members', [])
    if entry_id not in new_members:
        new_members.append(entry_id)
        write_entry = {
            'members': new_members
        }
        groups_dir.writeEntry(group, write_entry)


for group in remove_groups:
    group_entry = groups_dir.getEntry(group)
    new_members = group_entry.get('members', [])
    if entry_id in new_members:
        new_members.remove(entry_id)
        write_entry = {
            'members': new_members
        }
        groups_dir.writeEntry(group, write_entry)
