##parameters=perso=0

if perso:
    all = 0
else:
    all = 1

canvas = context.getCanvas()
perso_str = perso and '&perso=1' or ''

btool = context.portal_boxes
mcat = context.portal_messages
portal_url = context.portal_url()

render = context.render_box_on_canvas

messages = {}
messages['confirm'] = "return window.confirm(\'%s\')" % (mcat('_Are_you_sure?_'), )
messages['action_del'] = mcat('_Delete_box_')
messages['action_min'] = mcat('_Minimize_box_')
messages['action_unmin'] = mcat('_Unminimize_box_')
messages['action_edit'] = mcat('_Edit_box_')
messages['action_clo'] = mcat('_Hide_box_')
messages['action_ope'] = mcat('_Show_box_')
messages['action_up'] = mcat('_Move_box_up_')
messages['action_down'] = mcat('_Move_box_down_')

Add_new_box_msg = mcat('_Add_a_new_box_')

for xpos, slot in canvas.items():
    slot_title = slot.get('title')
    if not slot_title:
        slot_title = 'xpos %s' % (xpos, )
    else:
        slot_title = mcat(slot_title)
    messages[xpos] = mcat('_Move box to %s_') % (slot_title, )

boxes = {}
for xpos, slot in canvas.items():
    xpos_str = str(xpos)
    slot_boxes = btool.getBoxes(xpos=xpos, alsoclosed=1, all=all, perso=perso)
    rendered_boxes = []
    boxes_nb = len(slot_boxes)
    if boxes_nb > 1:
        ypos_up = 0
        ypos_down = 1
    else:
        ypos_up = 0
        ypos_down = 0
    box_pos = 1
    for box in slot_boxes:
        rendered_boxes.append(
            render(box=box, slot=slot, portal_url=portal_url,
              mcat=mcat, perso_str=perso_str,
              messages=messages, ypos_up=ypos_up, ypos_down=ypos_down)
        )
        ypos_up = 1
        box_pos += 1
        if box_pos == boxes_nb:
            ypos_down = 0

    result =\
"""
<table width="100%%" cellspacing="0" cellpadding="0" border="0">
  <tr>
    <td bgcolor="#dddddd">
      <table cellspacing="3" cellpadding="0" width="100%%">
%(rendered_boxes)s
      </table>
    </td>
  </tr>
  <tr>
    <td>
      <a href="%(portal_url)s/box_add_form?xpos=%(xpos)s%(perso)s"
        title="%(Add_new_box_msg)s">
        <img src="%(portal_url)s/img_box_addbox.png" border="0">
      </a>
    </td>
  </tr>
</table>
""" % {
        'rendered_boxes':'\n'.join(rendered_boxes),
        'portal_url': portal_url,
        'xpos': xpos,
        'perso': perso_str,
        'Add_new_box_msg': Add_new_box_msg,
    }
    boxes[xpos_str] = result

return boxes
